StatusDashboard
Users

Delete user

Remove a member from the organization.

View Markdown

DELETE /app/users/{email}

Removes a member from the organization and deletes their platform account.

Callers cannot delete their own account. The last member or last admin of an organization cannot be deleted.

The email path parameter must be URL-encoded (@%40).


Path parameters

ParameterTypeDescription
emailstringURL-encoded email address of the member to delete.

Request

See API Basics for required headers.


Sample request

curl -X DELETE https://api.statusdashboard.com/app/users/carol%40acmeplumbing.com \
  -H "Authorization: Bearer bcf847abf5c6:def456"

Sample response

Status: 204 No Content

No response body.


Error responses

StatusWhen
409Cannot delete self, last member, or last admin of the organization.
403Insufficient permissions.
404No member with that email exists in the organization.
502Member was removed from the organization but account cleanup failed.

On this page

We use cookies

We use essential cookies to keep the site working, and optional analytics cookies to understand how it's used. Read our Privacy Policy.